package App::MakeWorld::Mogrify;

use strict;
use warnings;

our $VERSION = 'v2.5.9';

use App::MakeWorld::Utils qw[ find_plugins ];

my @Plugins;
my %PluginMap;

find_plugins( __PACKAGE__, \@Plugins, \%PluginMap );

################################################################################
# does the command exist?
sub is_cmd { return $PluginMap{ $_[0] } }


################################################################################
# validate that the requested hook is legit.  called after a package has been
# specialized

# sub validate {

#     my $self    = shift;
#     my $mogrify = shift;

#     my ( $stage, $location ) = $self->{stage}->parse_hook( $mogrify->{hook} );

#     die(
#         "invalid hook attribute value for $mogrify->{cmd}: $mogrify->{hook}\n" )
#       unless $self->{stage}->is_legal_hook( $mogrify->{hook} );

#     push @{ $self->{hook}{$stage}{$location} },
#       [ @{$mogrify}{qw[ cmd action ]} ];

# }

1;

__END__

=pod

=for :stopwords Diab Jerius Smithsonian Astrophysical Observatory

=head1 NAME

App::MakeWorld::Mogrify

=head1 VERSION

version v2.5.9

=head1 SEE ALSO

Please see those modules/websites for more information related to this module.

=over 4

=item *

L<bin::make-world|bin::make-world>

=back

=head1 AUTHOR

Diab Jerius <djerius@cfa.harvard.edu>

=head1 COPYRIGHT AND LICENSE

This software is Copyright (c) 2018 by Smithsonian Astrophysical Observatory.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007

=cut
